This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535363 - (RHQ-2067) Double slash in event source path causes source field to be truncated
Double slash in event source path causes source field to be truncated
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Events (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage rhq4
  Show dependency treegraph
 
Reported: 2009-05-08 10:14 EDT by Jeff Weiss
Modified: 2015-02-01 18:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
2.2.0 GA, linux
Last Closed: 2013-09-02 03:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
eventpath.png (212.75 KB, image/png)
2009-05-08 10:14 EDT, Jeff Weiss
no flags Details
Screenshot (108.36 KB, image/png)
2011-08-05 07:34 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Jeff Weiss 2009-05-08 10:14:00 EDT
How to repeat:

Create an RHQ server event source with a path like /home/jonqa/jon/jon-server-2.2.0.GA//logs/autoTestEvent.log (contains double slash, which is legal in unix and java)

Create that file and insert some events into it (you can do something like :
tail -50 rhq-server-log4j.log >> autoTestEvent.log

wait a few minutes, and check the events tab for the RHQ server.  see screenshot, the source field is truncated.
Comment 1 Jeff Weiss 2009-05-08 16:39:12 EDT
I was able to repeat the problem with a path of 	/home/jonqa/jon/jon-server-2.2.0.GA/logs/autoTestEvent1241812532990.log

(no double-slash).  This may be a cosmetic issue, since the "Source" column is truncated, but if you click the event details, you can see that the source path is properly shown, and you can also filter correctly.   ie, filtering on "logs" which was truncated.

Comment 2 Red Hat Bugzilla 2009-11-10 15:57:06 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2067
Imported an attachment (id=368743)
Comment 3 wes hayutin 2010-02-16 11:58:47 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:03:31 EST
making sure we're not missing any bugs in rhq_triage
Comment 8 John Mazzitelli 2011-02-17 11:51:25 EST
this page has been reimplemented in gwt
Comment 9 Sunil Kondkar 2011-07-05 06:57:27 EDT
Tested in build#170 (Version: 4.1.0-SNAPSHOT Build Number: 67e6127)

Not able to create a Log Event Source. Trying to create an event source displays IndexOutOfBoundsException. A separate bug (Bug#717921) is already filed to address this issue.
Comment 10 Sunil Kondkar 2011-08-05 07:33:04 EDT
Verified on Version: 4.1.0-SNAPSHOT Build Number: 601a57e

The event source path is displayed properly. Please refer the attached screenshot. Also verified on clicking the event details which displayed the source location properly.

Marking as verified.
Comment 11 Sunil Kondkar 2011-08-05 07:34:14 EDT
Created attachment 516874 [details]
Screenshot
Comment 12 Heiko W. Rupp 2013-09-02 03:26:21 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.